Create a stream.
curl --request POST \
--url https://{basin}.b.s2.dev/v1/streams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stream": "<string>"
}
'{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"cipher": "aegis-256",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}streams
Create a stream.
Create a new S2 stream in a basin.
POST
/
streams
Create a stream.
curl --request POST \
--url https://{basin}.b.s2.dev/v1/streams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stream": "<string>"
}
'{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"cipher": "aegis-256",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Stream encryption is not configured explicitly when creating a stream. A stream inherits the basin’s configured
stream_cipher when it is created, and that cipher is immutable for the lifetime of the stream.Authorizations
Headers
Body
application/json
Response
The stream was created, or matched an earlier creation with the same s2-request-token and configuration.

